# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

include ../../src/Parser/Parameters/unittests/Makefile.am

PARSERTESTSSOURCES = \
	../Parser/unittests/ParserMpqcUnitTest.cpp \
	../Parser/unittests/ParserPcpUnitTest.cpp \
	../Parser/unittests/ParserPdbUnitTest.cpp \
	../Parser/unittests/ParserPsi3UnitTest.cpp \
	../Parser/unittests/ParserTremoloUnitTest.cpp \
	../Parser/unittests/ParserXyzUnitTest.cpp

PARSERTESTSHEADERS = \
	../Parser/unittests/ParserMpqcUnitTest.hpp \
	../Parser/unittests/ParserPcpUnitTest.hpp \
	../Parser/unittests/ParserPdbUnitTest.hpp \
	../Parser/unittests/ParserPsi3UnitTest.hpp \
	../Parser/unittests/ParserTremoloUnitTest.hpp \
	../Parser/unittests/ParserXyzUnitTest.hpp

PARSERTESTS = \
  ParserMpqcUnitTest \
  ParserPcpUnitTest \
  ParserPdbUnitTest \
  ParserPsi3UnitTest \
  ParserTremoloUnitTest \
  ParserXyzUnitTest

TESTS += $(PARSERTESTS)
check_PROGRAMS += $(PARSERTESTS) 
noinst_PROGRAMS += $(PARSERTESTS)

PARSERLIBS = \
	../libMolecuilderUI.la \
	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
	${CodePatterns_LIBS}
#	$(BOOST_LIB)


ParserMpqcUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/unittests/ParserMpqcUnitTest.cpp \
	../Parser/unittests/ParserMpqcUnitTest.hpp
ParserMpqcUnitTest_LDADD = ${PARSERLIBS}

ParserPcpUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/unittests/ParserPcpUnitTest.cpp \
	../Parser/unittests/ParserPcpUnitTest.hpp
ParserPcpUnitTest_LDADD = ${PARSERLIBS}

ParserPdbUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/unittests/ParserPdbUnitTest.cpp \
	../Parser/unittests/ParserPdbUnitTest.hpp
ParserPdbUnitTest_LDADD = ${PARSERLIBS}

ParserPsi3UnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/unittests/ParserPsi3UnitTest.cpp \
	../Parser/unittests/ParserPsi3UnitTest.hpp
ParserPsi3UnitTest_LDADD = ${PARSERLIBS}

ParserTremoloUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/unittests/ParserTremoloUnitTest.cpp \
	../Parser/unittests/ParserTremoloUnitTest.hpp
ParserTremoloUnitTest_LDADD = ${PARSERLIBS}

ParserXyzUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/unittests/ParserXyzUnitTest.cpp \
	../Parser/unittests/ParserXyzUnitTest.hpp
ParserXyzUnitTest_LDADD = ${PARSERLIBS}


#AUTOMAKE_OPTIONS = parallel-tests
